<img align="right" src="http://oryx.io/img/OryxLogoMedium.png" />

Oryx 2 is a realization of the lambda architecture built on [Apache Spark](http://spark.apache.org) 
and [Apache Kafka](http://kafka.apache.org), but with specialization for real-time large scale machine 
learning. It is a framework for building applications, but also includes packaged, end-to-end 
applications for collaborative filtering, classification, regression and clustering.

Proceed to the [Oryx 2 site](http://oryx.io/) for full documentation.

Just looking to deploy a ready-made, end-to-end application for collaborative filtering, clustering or classification? Easy.
Proceed directly to:

- Prepare your Hadoop cluster with [Cluster Setup](http://oryx.io/docs/admin.html)
- Get a [Release](https://github.com/OryxProject/oryx/releases)
- Prepare a config file from the [Configuration Reference](http://oryx.io/docs/endusers.html#Configuration)
- Run the binaries with [Running Oryx](http://oryx.io/docs/endusers.html#Running)
- Learn about the REST API endpoints you can call in the [API Endpoint Reference](http://oryx.io/docs/endusers.html#API_Endpoint_Reference)

Developers can consume Oryx 2 as a framework for building custom applications as well. 
Following the architecture overview below, proceed to 
[Making an Oryx App](http://oryx.io/docs/developer.html#Making_an_Oryx_App) 
to learn how to create a new application.

<img src="http://oryx.io/img/Architecture.png"/>

------

[![Build Status](https://travis-ci.org/OryxProject/oryx.svg?branch=master)](https://travis-ci.org/OryxProject/oryx)
[![Coverity](https://scan.coverity.com/projects/2697/badge.svg)](https://scan.coverity.com/projects/2697)
[![codecov.io](https://codecov.io/github/OryxProject/oryx/coverage.svg?branch=master)](https://codecov.io/github/OryxProject/oryx?branch=master)
